Publish Agent
curl --request POST \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated greeting message and improved response time."
}
'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/publish"
payload = { "description": "Updated greeting message and improved response time." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Updated greeting message and improved response time.'})
};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{agent_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Publish Agent
Changes the status of the agent to published and creates a new version.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
publish
Publish Agent
Authorizations
Bearer token authentication
Path Parameters
The ID of the agent.
Body
application/json
Optional description for this version of the agent. Must not be greater than 1000 characters.
Example:
"Updated greeting message and improved response time."
Response
204
No Content

